Method: logTypes.fetchParserAuditEvents

Full name: projects.locations.instances.logTypes.fetchParserAuditEvents

Fetches the unified parser and augmentation audit timeline for a LogType.

HTTP request

GET https://{endpoint}/v1alpha/{name}:fetchParserAuditEvents

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The LogType resource for which we are auditing parser changes. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logType}

Query parameters

Parameters
filter

string

Optional. Filter string (AIP-160) to narrow logs by initiator, time range, etc.

pageSize

integer

Optional. The maximum number of logs to return. The service may return fewer than this value. If unspecified, at most 50 logs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. Pagination token.

Request body

The request body must be empty.

Response body

Response message for logTypes.fetchParserAuditEvents.

If successful, the response body contains data with the following structure:

JSON representation
{
  "parserAuditEvents": [
    {
      object (ParserAuditEvent)
    }
  ],
  "nextPageToken": string
}
Fields
parserAuditEvents[]

object (ParserAuditEvent)

Chronological list of auditor events interleaved with releases (newest first).

nextPageToken

string

Pagination token for retrieval of subsequent results.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

ParserAuditEvent

Simple record structure representing a single chronological historical event.

JSON representation
{
  "eventTime": string,
  "parserType": enum (ParserType),
  "releaseStage": enum (ReleaseStage),
  "version": string,
  "actionType": enum (ActionType),
  "initiator": enum (InitiatorType),
  "parser": string,
  "parserExtension": string
}
Fields
eventTime

string (Timestamp format)

Output only. Time at which the audit was recorded.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

parserType

enum (ParserType)

Output only. Type of the parser being audited.

releaseStage

enum (ReleaseStage)

Output only. Release stage of the parser in audit.

version

string

Output only. The human-readable version associated with the parser at this point in time (e.g., "v1.3").

actionType

enum (ActionType)

Output only. Life-cycle event action type.

initiator

enum (InitiatorType)

Output only. Entity that invoked this action (a human user or Google Automation).

parser

string

Output only. The resource name of the parser being audited. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logType}/parsers/{parser}

parserExtension

string

Output only. The resource name of the parser extension involved, if any. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logType}/parserExtensions/{parserExtension}

ParserType

Type of parser (e.g., Custom, Prebuilt).

Enums
PARSER_TYPE_UNSPECIFIED Unspecified parser type.
CUSTOM Custom customer-built parser.
PREBUILT Out-of-the-box prebuilt parser.

ReleaseStage

Stage of the parser release lifecycle.

Enums
RELEASE_STAGE_UNSPECIFIED Unspecified release stage.
RELEASE_COMPLETED Release is completed.
RELEASE_CANDIDATE Release candidate.

ActionType

Granular life-cycle events of the parser or its augmentations.

Enums
ACTION_TYPE_UNSPECIFIED Unspecified action type.
PARSER_ACTIVATED Parser was activated.
PARSER_DEACTIVATED Parser was deactivated.
PARSER_AUTO_UPGRADE_DISABLED Parser auto-upgrade was disabled.
PARSER_AUTO_UPGRADE_ENABLED Parser auto-upgrade was enabled.
EXTENSION_ACTIVATED Extension was activated.
EXTENSION_DEACTIVATED Extension was deactivated.
PARSER_UPGRADED Parser was upgraded.
PARSER_ROLLED_BACK Parser was rolled back.

InitiatorType

Initiator of the audit event.

Enums
INITIATOR_TYPE_UNSPECIFIED Unspecified initiator type.
USER Triggered by a customer/human admin.
GOOGLE Triggered automatically by Google's backend release engine.